# MCS_RJum Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_RJum:

List of all members.

## Public Member Functions

| MCS_RJum (unsigned tag=9, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_Diagnostic | m_diagnostic
PASN_OctetString | m_initialOctets

## Constructor & Destructor Documentation

MCS_RJum::MCS_RJum | ( | unsigned | tag = `9`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_RJum::GetDataLength | ( |  | ) | const

PBoolean MCS_RJum::Decode | ( | PASN_Stream & | strm | ) |

void MCS_RJum::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_RJum::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_RJum::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_RJum::Clone | ( |  | ) | const

## Member Data Documentation

MCS_Diagnostic MCS_RJum::m_diagnostic

PASN_OctetString MCS_RJum::m_initialOctets

The documentation for this class was generated from the following file:

- mcs.h